<div class="users-create">
    <div class="row">
        <div class="col-md-12"> 
            <div class="card mb-3">
                <div class="card-header">
                   Register a New User
                   <div [hidden]="!showSpinner">
                        <app-spinner></app-spinner>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-content">
                        <div class="form-group">
                            <select [hidden]="true" class="form-control input-sm input-underline" placeholder="Select Role..." #roleFilter>
                                <!-- <option value="" disabled>Select Role</option> -->
                                <option *ngFor="let item of userRolesList" [value]="item.Id">{{ item.Name }}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.FirstName" class="form-control input-underline input-sm" placeholder="First Name">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.LastName" class="form-control input-underline input-sm" placeholder="Last Name">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.Mobile" class="form-control input-underline input-sm" placeholder="Mobile">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.PhoneNumber" class="form-control input-underline input-sm" placeholder="Telephone">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.EmailAddress" class="form-control input-underline input-sm" placeholder="Email">
                        </div>
                        <div class="form-group">
                            <input type="text" [(ngModel)]="model.UserName" class="form-control input-underline input-sm" placeholder="Username">
                        </div>
                        <!-- <div class="form-group">
                            <input type="password" [(ngModel)]="model.Password" class="form-control input-underline input-sm" placeholder="Password">
                        </div>
                        <div class="form-group">
                            <input type="password" class="form-control input-underline input-sm" placeholder="Re-type Password">
                        </div> -->
                    </div>
                </div>
                <div class="card-footer">
                    <button type="button" [disabled]="!model.FirstName || !model.EmailAddress || !model.UserName" (click)="saveChanges()" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                    <a class="btn btn-default rounded-btn" [routerLink]="['/users']"> Cancel </a>
                </div>
            </div>
        </div>
    </div>
</div>
